Subject: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: João Távora <[email-masked]>
Date: Fri, 17 Apr 2020 16:35:14 +0100

On Fri, Apr 17, 2020 at 4:28 PM Eli Zaretskii <[email-masked]> wrote:

> > From: João Távora <[email-masked]>
> > Date: Fri, 17 Apr 2020 16:20:54 +0100
> > Cc: Stefan Monnier <[email-masked]>, Juri Linkov <
> [email-masked]>, [email-masked],
> >       Dmitry Gutov <[email-masked]>
> >
> > > Not by the question, by your pushing and pushing and pushing,  Same
> > > arguments, same questions time and again.  To what end?
> >
> > The thing is, I give those arguments and you _don't_ refute
> > them.
>
> I do, but you just pretend not to understand.  E.g., see below.
>
> > > I'd prefer to see the code.
> >
> > Which code?
>
> The code of the proposed new mode.
>

That has been shown already by Stefan's patch, way back.
I'm not going to add anything new to it. Maybe you can
speak of that patch.

> > If you mean the one that adds the mode and
> > makes `.dir-locals.el` default to it, sure thing, I'll have it
> > ready later today.
>
> Once again, I don't want us to have a mode for .dir-locals.el files
> alone.  How many times do I have to say that before you understand?
>

Look Eli, there's no reason to be unpleasant, OK???  You said
"see the code".  I asked you what the code was. You say you
want to see the code for the new mode. I'm going to show it to
you and others later on. I repeat *show*.

And you didn't refute ANY of my arguments. You just say you
don't want something to handle just one file. I and others point
to you it can be used for more files and YOU ignore it.

So let's get that straight, and let's let this rest for a while.

João

-- 
João Távora